Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.coverage
Class PointOutsideCoverageException

    Object
      Throwable
          Exception
              RuntimeException
                  CannotEvaluateException
                      PointOutsideCoverageException

All Implemented Interfaces:
  Serializable

    @UML(identifier="CV_PointOutsideCoverage",
         specification=OGC_01004)
    public class PointOutsideCoverageException

extends CannotEvaluateException

Thrown when a `evaluate(…)` method is invoked with a point outside coverage.

Since:
  GeoAPI 1.0
Version:
  Grid Coverage specification 1.0
See Also:
  `Coverage.evaluate(DirectPosition, byte[])`, `Coverage.evaluate(DirectPosition, double[])`, Serialized Form
TODO:
  CoverageDomainException seems to duplicate the role of this class. Evaluate which one is to be used, especially since CoverageDomainException is not explicitly defined in ISO 19123.

Constructor Summary
`PointOutsideCoverageException()` Creates an exception with no message.
`PointOutsideCoverageException(String message)` Creates an exception with the specified message.

Method Summary

Methods inherited from class Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PointOutsideCoverageException

    public PointOutsideCoverageException()

  Creates an exception with no message.

### PointOutsideCoverageException

    public PointOutsideCoverageException(String message)

  Creates an exception with the specified message.

  Parameters:
    `message` - The detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.